import * as React from "react";
type Props = {
    onDrop: (e: DragEvent) => void;
    component?: any;
    shouldDragHighlight: (any: any) => boolean;
    style?: any;
    children?: any;
    className?: string;
};
type DefaultProps = {
    component: Props["component"];
    shouldDragHighlight: Props["shouldDragHighlight"];
};
type State = {
    dragHover: boolean;
};
declare class DragTarget extends React.Component<Props, State> {
    static defaultProps: DefaultProps;
    constructor(props: any);
    handleDrop(e: DragEvent): void;
    handleDragEnd(): void;
    handleDragOver(e: any): void;
    handleDragLeave(): void;
    handleDragEnter(e: any): void;
    render(): React.JSX.Element;
}
export default DragTarget;
